> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Busca avançada de projetos

> Retorna uma lista de projetos, com alguns detalhes adicionais.

Consulte:

- [Busca avançada](https://docs.olie.ai/api-reference/general/advanced-search)



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/projects/search
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/projects/search:
    post:
      tags:
        - projects
      summary: Busca avançada de projetos
      description: >-
        Retorna uma lista de projetos, com alguns detalhes adicionais.


        Consulte:


        - [Busca
        avançada](https://docs.olie.ai/api-reference/general/advanced-search)
      parameters:
        - name: withPercentage
          in: query
          description: >-
            Quando `true`, retorna projetos com campos adicionais calculados:
            percentual de conclusão (`completed_percentage`), contagem de
            tarefas (`tasks_count`), contagem de tarefas concluídas
            (`completed_count`), data de término prevista (`expected_finish`)
            baseada nas predições mais recentes, e informações de matriz
            (`headquarter`) e filial (`branch`) do cliente.
          schema:
            type: boolean
          example: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: array
                  description: Array de objetos, sendo cada objeto um filtro personalizado
                  items:
                    description: Filtro personalizado
                    type: object
                    properties:
                      field:
                        type: string
                        example: name
                        description: Atributo relacionado ao filtro
                      operator:
                        type: string
                        example: equals
                      value:
                        type: string
                      logical_operator:
                        type: string
                        enum:
                          - and
                          - or
                      arguments:
                        type: array
                        items:
                          type: string
                sorting:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                      direction:
                        type: string
                      arguments:
                        type: array
                        items:
                          type: string
                page:
                  type: integer
                perPage:
                  type: integer
                template:
                  type: boolean
                trashed:
                  type: boolean
            example:
              filters: []
              sorting: []
              page: 1
      responses:
        '200':
          description: Sucesso
          headers:
            Date:
              schema:
                type: string
              example: Tue, 16 Dec 2025 14:13:43 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            X-RateLimit-Limit:
              schema:
                type: integer
              example: 160
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: 158
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        code:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        impact:
                          type: integer
                        frame_id:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        customer_id:
                          type: string
                        contact_id:
                          type: integer
                        status:
                          type: integer
                        budget:
                          type: number
                        is_template:
                          type: boolean
                        form_answers:
                          type: array
                          items: {}
                        tasks:
                          type: array
                          items: {}
                        customer:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                        contact:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            role:
                              type: string
                            email:
                              type: string
                              format: email
                            phone:
                              type: string
                            description:
                              type: string
                            frame_id:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            customers:
                              type: array
                              items: {}
                        funnels:
                          type: array
                          items: {}
                        funnel_steps:
                          type: array
                          items: {}
                        tags:
                          type: array
                          items: {}
                        groups:
                          type: array
                          items: {}
                        users:
                          type: array
                          items: {}
                        frame:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            subdomain:
                              type: string
                        executors:
                          type: array
                          items: {}
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  response:
                    type: boolean
              example:
                projects:
                  - id: 019aeaa3-b2d5-71f6-84c5-322f66c1a406
                    old_id: null
                    code: P-1
                    name: Paz-Sepúlveda assumenda
                    description: >-
                      Nemo nemo porro ut sed. Nostrum nihil iste ab. Qui minus
                      aliquid id iusto. Omnis quis velit suscipit dolores
                      tenetur odio non culpa.
                    impact: 3
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                    contact_id: 12560
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 990014.63
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                      name: Customer Name Example
                      parent_id: null
                      parent: null
                    contact:
                      id: 12560
                      name: Contact Name Example
                      role: blanditiis
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: >-
                        Omnis molestias qui nobis voluptas quis sunt sapiente
                        neque.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers: []
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b2e4-7033-955b-13959cf7ce81
                    old_id: null
                    code: P-2
                    name: Toledo e Barros et
                    description: >-
                      Placeat nulla possimus enim quam quis fugiat aut nam. Aut
                      ea sed consequatur consequatur expedita ea similique. Aut
                      qui quas ipsa culpa sunt.
                    impact: 8
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-b015-700c-8318-9821b94d6d32
                    contact_id: 12551
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 336598.07
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-b015-700c-8318-9821b94d6d32
                      name: Nome do cliente
                      parent_id: null
                      parent: null
                    contact:
                      id: 12551
                      name: Nome do contato
                      role: doloribus
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: >-
                        Hic error ut sunt aut qui dolorem porro. Repellat qui
                        aut eos debitis.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers:
                        - id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                          name: Nome do cliente
                          pivot:
                            contact_id: 12551
                            customer_id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                        - id: 019aeaa3-afb2-709a-ae6b-28fd68cdb8b7
                          name: Nome do cliente
                          pivot:
                            contact_id: 12551
                            customer_id: 019aeaa3-afb2-709a-ae6b-28fd68cdb8b7
                        - id: 019aeaa3-aff3-70d7-9c56-4333b119fd61
                          name: Nome do cliente
                          pivot:
                            contact_id: 12551
                            customer_id: 019aeaa3-aff3-70d7-9c56-4333b119fd61
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b2ee-70c5-a5dd-5bdb5159eeec
                    old_id: null
                    code: P-3
                    name: Esteves e Filhos in
                    description: >-
                      Tempora cumque consequatur voluptas. Minima sapiente ea in
                      soluta suscipit. Molestiae ut sed laboriosam veniam
                      possimus. Et accusamus qui fugiat delectus.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-b015-700c-8318-9821b94d6d32
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 970388.83
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-b015-700c-8318-9821b94d6d32
                      name: Nome do cliente
                      parent_id: null
                      parent: null
                    contact: null
                    funnels:
                      - id: 666
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b2ee-70c5-a5dd-5bdb5159eeec
                          project_funnel_id: 666
                          id: 42750
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3814
                        name: Criação de Prototipagem
                        project_funnel_id: 666
                        sensation_amount: 50
                        step_forward_id: null
                        step_backward_id: null
                        order: 45
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b2ee-70c5-a5dd-5bdb5159eeec
                          funnel_step_id: 3814
                          id: 144127
                          order: 0
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b2f9-7304-a344-b05bed96c9d9
                    old_id: null
                    code: P-4
                    name: Rodrigues S.A. non
                    description: >-
                      Sint impedit voluptatem earum omnis quisquam. Aut eum
                      recusandae et dicta velit dolores eius. Tempore voluptas a
                      velit. Nostrum possimus et rerum.
                    impact: 5
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 707596.04
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b304-7324-bdfe-e23c45c0eb00
                    old_id: null
                    code: P-5
                    name: Vasques-Santacruz vitae
                    description: >-
                      Natus incidunt facere eum rerum eum. Vel consequatur aut
                      molestiae magni corrupti voluptatibus. Dignissimos
                      consequatur consequatur et et omnis.
                    impact: 7
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 657683.24
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 665
                        name: Educação Corporativa
                        pivot:
                          project_id: 019aeaa3-b304-7324-bdfe-e23c45c0eb00
                          project_funnel_id: 665
                          id: 42740
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3808
                        name: Gestão de Mudanças
                        project_funnel_id: 665
                        sensation_amount: 25
                        step_forward_id: null
                        step_backward_id: null
                        order: 40
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b304-7324-bdfe-e23c45c0eb00
                          funnel_step_id: 3808
                          id: 144117
                          order: 0
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b30f-7114-9609-14d3ad82342f
                    old_id: null
                    code: P-6
                    name: Teles-Perez voluptas
                    description: >-
                      Corrupti ut quos laudantium maxime sunt officia dolores.
                      Ut labore sit delectus voluptatem. Et sed ea vel dolor aut
                      sit.
                    impact: 4
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 942876.45
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b318-70e7-9806-482b56f78338
                    old_id: null
                    code: P-7
                    name: Leon e Faria sint
                    description: >-
                      At itaque aliquid voluptatem dolore harum qui iste. Dolor
                      cumque asperiores autem voluptatem debitis. Vel modi sint
                      consequuntur dolore vitae et ab.
                    impact: 2
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: 12540
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 402351.89
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact:
                      id: 12540
                      name: Nome do contato
                      role: repudiandae
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: Aperiam quam quaerat necessitatibus et nostrum ea harum.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers: []
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b325-7088-8892-15bcbb1d4942
                    old_id: null
                    code: P-8
                    name: Nome do projeto
                    description: >-
                      Dolorum ducimus non provident saepe. Vel veritatis sed ex
                      temporibus dolore numquam neque vel. Vitae repellat
                      eligendi fugit ut.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afba-7085-bdd4-a0107165c261
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 505013.5
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afba-7085-bdd4-a0107165c261
                      name: Dr. Talita Assunção
                      parent_id: null
                      parent: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b330-72ab-9b23-ee58ffda374d
                    old_id: null
                    code: P-9
                    name: Salas e Leon reiciendis
                    description: >-
                      Qui dolor sunt cupiditate aliquam. Et ut animi incidunt
                      veritatis.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 846712.4
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                      name: Customer Name Example
                      parent_id: null
                      parent: null
                    contact: null
                    funnels:
                      - id: 665
                        name: Educação Corporativa
                        pivot:
                          project_id: 019aeaa3-b330-72ab-9b23-ee58ffda374d
                          project_funnel_id: 665
                          id: 42738
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3808
                        name: Gestão de Mudanças
                        project_funnel_id: 665
                        sensation_amount: 25
                        step_forward_id: null
                        step_backward_id: null
                        order: 40
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b330-72ab-9b23-ee58ffda374d
                          funnel_step_id: 3808
                          id: 144115
                          order: 0
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b33a-7151-98c4-87119443e8b8
                    old_id: null
                    code: P-10
                    name: Maldonado-Soto ut
                    description: >-
                      Iste qui minus recusandae voluptas est possimus inventore
                      adipisci. Qui laudantium eum ut recusandae ea. Ut enim
                      saepe nihil iste. Exercitationem dolorem et est distinctio
                      iste et quaerat est.
                    impact: 2
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afce-720f-b0d0-8f3031890129
                    contact_id: 12534
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 673359.37
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afce-720f-b0d0-8f3031890129
                      name: Nome do cliente
                      parent_id: null
                      parent: null
                    contact:
                      id: 12534
                      name: Nome do contato
                      role: esse
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: >-
                        Dolores nobis similique tempora vero. Eos alias ut quis
                        maxime aliquam.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers:
                        - id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                          name: Nome do cliente
                          pivot:
                            contact_id: 12534
                            customer_id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                    funnels:
                      - id: 665
                        name: Educação Corporativa
                        pivot:
                          project_id: 019aeaa3-b33a-7151-98c4-87119443e8b8
                          project_funnel_id: 665
                          id: 42747
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3808
                        name: Gestão de Mudanças
                        project_funnel_id: 665
                        sensation_amount: 25
                        step_forward_id: null
                        step_backward_id: null
                        order: 40
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b33a-7151-98c4-87119443e8b8
                          funnel_step_id: 3808
                          id: 144124
                          order: 0
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b345-728c-8bab-8dcd2001b0c4
                    old_id: null
                    code: P-11
                    name: Azevedo e Filhos autem
                    description: >-
                      Ipsum magnam omnis consectetur dolor architecto beatae.
                      Aut sed vero sint. A voluptatem expedita harum numquam.
                      Quo esse accusamus omnis nam a neque ut.
                    impact: 6
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 551319
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 665
                        name: Educação Corporativa
                        pivot:
                          project_id: 019aeaa3-b345-728c-8bab-8dcd2001b0c4
                          project_funnel_id: 665
                          id: 42744
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3808
                        name: Gestão de Mudanças
                        project_funnel_id: 665
                        sensation_amount: 25
                        step_forward_id: null
                        step_backward_id: null
                        order: 40
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b345-728c-8bab-8dcd2001b0c4
                          funnel_step_id: 3808
                          id: 144121
                          order: 0
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b350-71dd-a096-3b0571038cc0
                    old_id: null
                    code: P-12
                    name: Aragão e Mendonça est
                    description: >-
                      Error doloribus quaerat ex veniam qui illum consequatur.
                      Necessitatibus nam officiis veniam voluptas voluptatem
                      corporis. Sunt id quibusdam autem eum.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-12T17:08:29.000000Z'
                    customer_id: null
                    contact_id: 12545
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 2.5
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact:
                      id: 12545
                      name: Dr. Elisa Medina
                      role: quaerat
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: >-
                        Sunt id repellendus at dolores. Soluta minima magnam sed
                        temporibus.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers:
                        - id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                          name: Nome do cliente
                          pivot:
                            contact_id: 12545
                            customer_id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                        - id: 019aeaa3-af96-71d3-aa82-ac0fb8ed5ee6
                          name: Juliana Oliveira Filho
                          pivot:
                            contact_id: 12545
                            customer_id: 019aeaa3-af96-71d3-aa82-ac0fb8ed5ee6
                        - id: 019aeaa3-afc3-72a8-aca4-ff5d8687e31f
                          name: Denis Enzo Pedrosa Jr.
                          pivot:
                            contact_id: 12545
                            customer_id: 019aeaa3-afc3-72a8-aca4-ff5d8687e31f
                    funnels:
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b350-71dd-a096-3b0571038cc0
                          project_funnel_id: 667
                          id: 42770
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3818
                        name: Planejamento Orçamentário
                        project_funnel_id: 667
                        sensation_amount: 49
                        step_forward_id: null
                        step_backward_id: null
                        order: 3
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:13:14.000000Z'
                        pivot:
                          project_id: 019aeaa3-b350-71dd-a096-3b0571038cc0
                          funnel_step_id: 3818
                          id: 144231
                          order: 0
                          created_at: '2025-12-12T17:08:31.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b35b-7064-be98-57b5ee358843
                    old_id: null
                    code: P-13
                    name: Zambrano e Maldonado S.A. molestias
                    description: >-
                      Animi dolores natus sapiente. Est aliquid enim voluptatem
                      dolorum vero atque. Suscipit sed non eum dignissimos qui.
                    impact: 3
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: 12560
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 276114.81
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact:
                      id: 12560
                      name: Contact Name Example
                      role: blanditiis
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: >-
                        Omnis molestias qui nobis voluptas quis sunt sapiente
                        neque.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers: []
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b365-70cb-8d2a-dc56d009c0e3
                    old_id: null
                    code: P-14
                    name: Aguiar-Bezerra fugiat
                    description: >-
                      Voluptatem ut enim voluptatem laudantium. Nobis ut autem
                      officia maiores veniam quam sit velit. Error sunt dolores
                      nisi facilis qui ipsum. Ab ab repellat ut omnis vero sit
                      placeat.
                    impact: 7
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: 12562
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 419390.97
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact:
                      id: 12562
                      name: Dr. Luis Rosa Filho
                      role: sunt
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: Est eius dicta quod facere dolores ut quo.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers: []
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b372-7239-9fc1-9dff67a223ff
                    old_id: null
                    code: P-15
                    name: Dias Comercial Ltda. sunt
                    description: >-
                      Perferendis rerum debitis hic quod dolorem. Doloribus
                      consequuntur praesentium eum odio est. Facilis atque autem
                      atque et.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 971235.1
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-af8b-71d8-bb89-e65353073ee3
                      name: Nome do cliente
                      parent_id: null
                      parent: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b37d-7167-ba8d-ca4e7327edf8
                    old_id: null
                    code: P-16
                    name: Pacheco e Santana voluptatem
                    description: >-
                      Veritatis voluptate sit fugit maiores. Et similique
                      mollitia rerum qui facilis possimus possimus. Id ut ut
                      eaque ipsa. Officia quam quaerat excepturi deleniti ipsam.
                    impact: 9
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afce-720f-b0d0-8f3031890129
                    contact_id: 12554
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 563563.1
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afce-720f-b0d0-8f3031890129
                      name: Nome do cliente
                      parent_id: null
                      parent: null
                    contact:
                      id: 12554
                      name: Sara Maya Uchoa Neto
                      role: et
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: Itaque quo quo voluptates rerum ut eum saepe.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers:
                        - id: 019aeaa3-afea-7332-9ec0-b1e89385f0a3
                          name: Dr. Ivana Matos Teles Neto
                          pivot:
                            contact_id: 12554
                            customer_id: 019aeaa3-afea-7332-9ec0-b1e89385f0a3
                        - id: 019aeaa3-affb-73cc-afff-f5f2688a5659
                          name: Clara Faro Soto
                          pivot:
                            contact_id: 12554
                            customer_id: 019aeaa3-affb-73cc-afff-f5f2688a5659
                        - id: 019aeaa3-b003-7298-8acb-29800025af3b
                          name: Edilson Maldonado Jr.
                          pivot:
                            contact_id: 12554
                            customer_id: 019aeaa3-b003-7298-8acb-29800025af3b
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b388-709f-ba2c-99558d8b9926
                    old_id: null
                    code: P-17
                    name: Marques-Aguiar aut
                    description: >-
                      Cum quo enim corporis dolore molestiae. Ducimus voluptatum
                      sequi alias quia nulla. Accusantium repellendus odit aut
                      temporibus non. Non corporis maxime cum accusamus nam qui
                      rerum.
                    impact: 4
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: 12552
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 207289.81
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact:
                      id: 12552
                      name: Srta. Léia Delatorre Sobrinho
                      role: aut
                      email: email@example.org
                      phone: (91) 99999-0000
                      description: Architecto eaque sunt ab magnam maiores ut aut.
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers:
                        - id: 019aeaa3-afb2-709a-ae6b-28fd68cdb8b7
                          name: Nome do cliente
                          pivot:
                            contact_id: 12552
                            customer_id: 019aeaa3-afb2-709a-ae6b-28fd68cdb8b7
                        - id: 019aeaa3-affb-73cc-afff-f5f2688a5659
                          name: Clara Faro Soto
                          pivot:
                            contact_id: 12552
                            customer_id: 019aeaa3-affb-73cc-afff-f5f2688a5659
                        - id: 019aeaa3-b003-7298-8acb-29800025af3b
                          name: Edilson Maldonado Jr.
                          pivot:
                            contact_id: 12552
                            customer_id: 019aeaa3-b003-7298-8acb-29800025af3b
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b494-72f9-95ae-f8a472700bb5
                    old_id: null
                    code: P-18
                    name: (Root) Ortega Ltda. enim
                    description: >-
                      Tempora voluptatem aperiam magni numquam. Facilis expedita
                      quaerat id omnis. Inventore ad fugiat aut accusantium
                      nesciunt enim. Sed quo velit minus architecto placeat est.
                    impact: 3
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 128993.22
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b494-72f9-95ae-f8a472700bb5
                          project_funnel_id: 667
                          id: 42756
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3817
                        name: Desenvolvimento Conceitual
                        project_funnel_id: 667
                        sensation_amount: 87
                        step_forward_id: null
                        step_backward_id: null
                        order: 2
                        help_text: null
                        form_id: null
                        sort_config:
                          field: budget
                          arguments: []
                          direction: desc
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:33:58.000000Z'
                        pivot:
                          project_id: 019aeaa3-b494-72f9-95ae-f8a472700bb5
                          funnel_step_id: 3817
                          id: 144230
                          order: 4
                          created_at: '2025-12-12T17:08:04.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4a0-702e-83ab-1042f8fd23b0
                    old_id: null
                    code: P-19
                    name: (Root) Medina S.A. et
                    description: >-
                      Aut sunt voluptatem eum ducimus ipsum voluptates. Ad
                      numquam et quaerat esse rerum assumenda. Ut ut consequatur
                      est aut officiis. Corporis asperiores fugiat ut velit
                      asperiores rem mollitia.
                    impact: 8
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 389478.16
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4ac-71cb-b90c-39c9032b4b93
                    old_id: null
                    code: P-20
                    name: (Root) Correia e Roque Ltda. repudiandae
                    description: >-
                      Ullam iste amet adipisci eius. Nihil maxime necessitatibus
                      deleniti beatae. In odio et consequatur exercitationem.
                      Laboriosam a dolore nostrum et labore quia eum.
                    impact: 3
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 923726.28
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4ba-71a6-8560-853a8526da81
                    old_id: null
                    code: P-21
                    name: Projeto Hierárquico Principal
                    description: >-
                      Rerum amet quia et sit voluptas. Porro omnis possimus
                      nihil similique velit occaecati. A consequatur rem maiores
                      quidem reiciendis ut alias dolorem.
                    impact: 1
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 118440.4
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4ca-71e2-af76-60fd1fce1cd8
                    old_id: null
                    code: P-22
                    name: Projeto Hierárquico Principal - incidunt
                    description: >-
                      Rem doloribus repellat eos est provident voluptatum.
                      Occaecati a ipsum deserunt pariatur. Iste ex aut iure.
                    impact: 10
                    parent_id: 019aeaa3-b4ba-71a6-8560-853a8526da81
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 394028.34
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4d7-71f1-a499-44aba4446db2
                    old_id: null
                    code: P-23
                    name: Projeto Hierárquico Principal - accusantium
                    description: >-
                      Qui voluptates fugit eos et rerum aut laudantium
                      consequatur. Omnis sint reprehenderit iste magni
                      reiciendis dolores ut. Amet aut tenetur quo est
                      perferendis.
                    impact: 9
                    parent_id: 019aeaa3-b4ba-71a6-8560-853a8526da81
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 70737.15
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4e6-7167-9b21-84fa4fad34ba
                    old_id: null
                    code: P-24
                    name: Projeto Hierárquico Principal - adipisci
                    description: >-
                      Illum rem cum nihil fuga exercitationem quis. Id officia
                      et porro voluptates laboriosam. Qui pariatur reprehenderit
                      et et quia. At consequuntur et fugiat reprehenderit
                      debitis adipisci amet.
                    impact: 5
                    parent_id: 019aeaa3-b4ba-71a6-8560-853a8526da81
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 857204.35
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b4e6-7167-9b21-84fa4fad34ba
                          project_funnel_id: 667
                          id: 42757
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3817
                        name: Desenvolvimento Conceitual
                        project_funnel_id: 667
                        sensation_amount: 87
                        step_forward_id: null
                        step_backward_id: null
                        order: 2
                        help_text: null
                        form_id: null
                        sort_config:
                          field: budget
                          arguments: []
                          direction: desc
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:33:58.000000Z'
                        pivot:
                          project_id: 019aeaa3-b4e6-7167-9b21-84fa4fad34ba
                          funnel_step_id: 3817
                          id: 144134
                          order: 2
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                    old_id: null
                    code: P-25
                    name: Projeto Hierárquico Principal - incidunt - sed
                    description: >-
                      Est dolores consequatur consequatur eligendi enim. Quia
                      harum libero sint ut perferendis aspernatur et. Dolorem
                      illo magnam et voluptates minima ad ut.
                    impact: 2
                    parent_id: 019aeaa3-b4ca-71e2-af76-60fd1fce1cd8
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 151571.28
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 666
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                          project_funnel_id: 666
                          id: 42753
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                          project_funnel_id: 667
                          id: 42759
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3814
                        name: Criação de Prototipagem
                        project_funnel_id: 666
                        sensation_amount: 50
                        step_forward_id: null
                        step_backward_id: null
                        order: 45
                        help_text: null
                        form_id: null
                        sort_config: null
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-04T18:33:09.000000Z'
                        pivot:
                          project_id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                          funnel_step_id: 3814
                          id: 144130
                          order: 15
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                      - id: 3817
                        name: Desenvolvimento Conceitual
                        project_funnel_id: 667
                        sensation_amount: 87
                        step_forward_id: null
                        step_backward_id: null
                        order: 2
                        help_text: null
                        form_id: null
                        sort_config:
                          field: budget
                          arguments: []
                          direction: desc
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:33:58.000000Z'
                        pivot:
                          project_id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                          funnel_step_id: 3817
                          id: 144215
                          order: 11
                          created_at: '2025-12-11T14:33:36.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b509-7282-af78-a14202c6c236
                    old_id: null
                    code: P-26
                    name: Projeto Hierárquico Principal - incidunt - nihil
                    description: >-
                      Voluptatum doloremque et eos. Enim nam id fugiat
                      doloribus. Est corrupti a mollitia est fuga omnis nobis.
                      Itaque in blanditiis dolore amet. Eos distinctio enim quis
                      vel iusto.
                    impact: 6
                    parent_id: 019aeaa3-b4ca-71e2-af76-60fd1fce1cd8
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 873077.55
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b509-7282-af78-a14202c6c236
                          project_funnel_id: 667
                          id: 42762
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3817
                        name: Desenvolvimento Conceitual
                        project_funnel_id: 667
                        sensation_amount: 87
                        step_forward_id: null
                        step_backward_id: null
                        order: 2
                        help_text: null
                        form_id: null
                        sort_config:
                          field: budget
                          arguments: []
                          direction: desc
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:33:58.000000Z'
                        pivot:
                          project_id: 019aeaa3-b509-7282-af78-a14202c6c236
                          funnel_step_id: 3817
                          id: 144139
                          order: 1
                          created_at: '2025-12-04T18:33:09.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b51b-72f1-a7e8-d7821a2a98d8
                    old_id: null
                    code: P-27
                    name: Projeto Hierárquico Principal - incidunt - sed - amet
                    description: >-
                      Incidunt beatae non dolor voluptas. Nulla quis totam
                      aperiam ut itaque. Harum numquam corrupti dolores ad illum
                      maxime.
                    impact: 8
                    parent_id: 019aeaa3-b4f9-732c-b15e-e2bbe40e8065
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 4
                    budget: 633662.3
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b52c-71c5-b7e4-fdab5a502b71
                    old_id: null
                    code: P-28
                    name: Projeto Hierárquico Principal - incidunt - nihil - iusto
                    description: >-
                      Ea excepturi iure et beatae occaecati dolorum. Ut
                      accusantium dignissimos distinctio vel aut facere.
                      Deserunt eum aliquam amet sunt ab. Adipisci id corrupti
                      fuga quaerat sit illo.
                    impact: 9
                    parent_id: 019aeaa3-b509-7282-af78-a14202c6c236
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 997619.02
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b53d-72ff-bfdb-d94173d9234a
                    old_id: null
                    code: P-29
                    name: Projeto Hierárquico Principal - accusantium - numquam
                    description: >-
                      Impedit velit blanditiis sint quisquam sunt. Sapiente ut
                      recusandae quis eos at molestiae ab et. Reiciendis ad
                      ipsam aut voluptatum quaerat.
                    impact: 5
                    parent_id: 019aeaa3-b4d7-71f1-a499-44aba4446db2
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 2
                    budget: 93584.8
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels:
                      - id: 667
                        name: Inovação
                        pivot:
                          project_id: 019aeaa3-b53d-72ff-bfdb-d94173d9234a
                          project_funnel_id: 667
                          id: 42761
                          statuses_at: null
                          statuses_by: null
                          funnel_status_id: null
                          forecast_date: null
                          realized_forecast_date: null
                          created_at: null
                          forecast_date_update_count: 0
                        tags: []
                    funnel_steps:
                      - id: 3817
                        name: Desenvolvimento Conceitual
                        project_funnel_id: 667
                        sensation_amount: 87
                        step_forward_id: null
                        step_backward_id: null
                        order: 2
                        help_text: null
                        form_id: null
                        sort_config:
                          field: budget
                          arguments: []
                          direction: desc
                        created_at: '2025-12-04T18:33:09.000000Z'
                        updated_at: '2025-12-11T14:33:58.000000Z'
                        pivot:
                          project_id: 019aeaa3-b53d-72ff-bfdb-d94173d9234a
                          funnel_step_id: 3817
                          id: 144228
                          order: 8
                          created_at: '2025-12-12T17:08:03.000000Z'
                        funnel_step_blockings: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                  - id: 019aeaa3-b550-71a6-8566-25d68eaaa389
                    old_id: null
                    code: P-30
                    name: Projeto Hierárquico Principal - accusantium - non
                    description: >-
                      Voluptas ipsum tempora et inventore est voluptatum
                      provident. Est aut saepe voluptatem culpa non esse. Ab
                      ipsum eum voluptatem laudantium. Officiis cupiditate quia
                      perferendis omnis quia.
                    impact: 8
                    parent_id: 019aeaa3-b4d7-71f1-a499-44aba4446db2
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: null
                    contact_id: null
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 3
                    budget: 947843.18
                    is_template: false
                    created_by: null
                    deleted_at: null
                    form_answers: []
                    tasks: []
                    customer: null
                    contact: null
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups: []
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: 'OlieDev Company '
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
                meta:
                  current_page: 1
                  from: 1
                  last_page: 3
                  per_page: 30
                  to: 30
                  total: 81
                response: true
        '401':
          description: Não autorizado
          headers:
            Date:
              schema:
                type: string
              example: Tue, 16 Dec 2025 14:15:28 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
              example:
                response: false
                message: unauthorized
                error: Unauthenticated.
        '422':
          description: Filtro inválido
          headers:
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````